org.apache.fop.complexscripts.fonts

## Interface GlyphCoverageMapping

- All Known Implementing Classes:
    GlyphCoverageTable

      public interface GlyphCoverageMapping

  The `GlyphCoverageMapping` interface provides glyph identifier to coverage index mapping support.

  This work was originally authored by Glenn Adams (gadams@apache.org).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCoverageIndex(int gid)` Map glyph identifier (code) to coverge index.
    `int` | `getCoverageSize()` Obtain size of coverage table, i.e., ciMax + 1, where ciMax is the maximum coverage index.

- - ### Method Detail

    - #### getCoverageSize

          int getCoverageSize()

      Obtain size of coverage table, i.e., ciMax + 1, where ciMax is the maximum coverage index.
      Returns:
        size of coverage table

    - #### getCoverageIndex

          int getCoverageIndex(int gid)

      Map glyph identifier (code) to coverge index. Returns -1 if glyph identifier is not in the domain of the coverage table.
      Parameters:
        `gid` - glyph identifier (code)
      Returns:
        non-negative glyph coverage index or -1 if glyph identifiers is not mapped by table

Copyright © 2023 Apache Software Foundation. All rights reserved.